Reply to topic

Kubuntu 12.10: KDE breaking Keepass2 with mono?

User avatar mogliii
Registered Member
Posts
73
Karma
0
OS
Hi,

I have a bit of an odd issue. I had Kubuntu 12.04, and on there I had mono installed and used Keepass2. This worked fine.

This week I reinstalled Kubuntu 12.10 from scratch, and installed Keepass2 (2.19) from the repo, which has all the mono dependencies. But when trying to use it I got the following problem:
http://sourceforge.net/projects/keepass/forums/forum/329221/topic/6150848

So I thought this might be an ubuntu specific problem, and wanted to file a bug report against Ubuntu. To reproduce, I started Ubuntu 12.10 from USB, installed keepass2 there, and it works. No "Error loading UIA bridge".

Since Ubuntu and Kubuntu should be identical as far as mono and keepass2 is concerned, the explanation that sounds most probable is that its due to KDE? Is this possible? And how can I further debug this situation, really need keepass2 to run.
User avatar mogliii
Registered Member
Posts
73
Karma
0
OS
Could solve it.

I tried with a Kubuntu LiveDisk. There, it also worked. I then also noticed that only mono 4.0 packages are drawn in through the keepass2 dependencies. However I had also 2.0 installed on the installation where it didnt work.

So I went back to my installation and removed all mono that I could find, and installed keepass2 with its dependencies again. After that the error did not occur anymore.

 
Reply to topic

Bookmarks



Who is online

Registered users: apater, Baidu [Spider], Bing [Bot], Exabot [Bot], Google [Bot], Majestic-12 [Bot], mmistretta, MSNbot Media, onesandzeros, shmerl, Uri_Herrera, Yahoo [Bot]